Swisslinux.org

− Le carrefour GNU/Linux en Suisse −

Bienvenue invité
 

Langue

 

Le Forum

Vous n'êtes pas identifié.

  • Index
  •  » Ubuntu
  •  » Bug avec mysql suite installation mariadb [RESOLU]

#1 05 Sep 2017 08:37:55

QLSVB
Humain(e) libre
 
Date d'inscription: 28 Aug 2017
Messages: 35

Bug avec mysql suite installation mariadb [RESOLU]

Bonjour,

N'arrivant pas à terminer l'installation d'un progiciel du nom de Dolibarr, j'ai trouvé comme conseil en lien avec le bug, d'installer mariadb en remplacement de mysql.
Le problème est qu'il y a dû y avoir un bug en cour de route mais je n'arrive pas à trouver quoi. Je suis dans ma première année d'utilisation de Linux.
En gros, install -f et upgrade -f ne fonctionnent plus et apparemment le problème est en lien avec ma modification citée ci-dessus... Alors avant d'amplifier les dégâts, je préfère venir chercher du secours! big_smile

Code:

sieber@sieber-N24-25BU:~$ sudo apt-get install -f
[sudo] Mot de passe de sieber : 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Correction des dépendances... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  epiphany-browser-data gnome-icon-theme gnome-icon-theme-symbolic
  libavahi-gobject0 libdbd-mysql-perl libdbi-perl libdirectfb-1.2-9
  libmysqlclient20 libterm-readkey-perl libxcb-composite0 mariadb-common
Veuillez utiliser « sudo apt autoremove » pour les supprimer.
The following additional packages will be installed:
  mysql-server-5.7
Paquets suggérés :
  mailx tinyca
Les NOUVEAUX paquets suivants seront installés :
  mysql-server-5.7
0 mis à jour, 1 nouvellement installés, 0 à enlever et 22 non mis à jour.
1 partiellement installés ou enlevés.
Il est nécessaire de prendre 0 o/2'463 ko dans les archives.
Après cette opération, 48.4 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] o
Préconfiguration des paquets...
(Lecture de la base de données... 273682 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../mysql-server-5.7_5.7.19-0ubuntu0.16.04.1_amd64.deb ...
Aborting downgrade from (at least) 10.0 to 5.7.
If are sure you want to downgrade to 5.7, remove the file
/var/lib/mysql/debian-*.flag and try installing again.
dpkg: erreur de traitement de l'archive /var/cache/apt/archives/mysql-server-5.7_5.7.19-0ubuntu0.16.04.1_amd64.deb (--unpack) :
 le sous-processus nouveau script pre-installation a retourné une erreur de sortie d'état 1
Des erreurs ont été rencontrées pendant l'exécution :
 /var/cache/apt/archives/mysql-server-5.7_5.7.19-0ubuntu0.16.04.1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
sieber@sieber-N24-25BU:~$

Code:

sieber@sieber-N24-25BU:~$ sudo apt-get upgrade
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes.
Les paquets suivants contiennent des dépendances non satisfaites :
 mysql-server : Dépend: mysql-server-5.7 mais il n'est pas installé
E: Dépendances manquantes. Essayez d'utiliser l'option -f.
sieber@sieber-N24-25BU:~$ sudo apt-get upgrade -f
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Correction des dépendances... Fait
Calcul de la mise à jour... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  epiphany-browser-data gnome-icon-theme gnome-icon-theme-symbolic
  libavahi-gobject0 libdbd-mysql-perl libdbi-perl libdirectfb-1.2-9
  libmysqlclient20 libterm-readkey-perl libxcb-composite0 mariadb-common
Veuillez utiliser « sudo apt autoremove » pour les supprimer.
Les NOUVEAUX paquets suivants seront installés :
  mysql-server-5.7
Les paquets suivants seront mis à jour :
  gir1.2-packagekitglib-1.0 liblouis-data liblouis9 libpackagekit-glib2-16
  libvlc-bin libvlc5 libvlccore8 python3-louis snapd ubuntu-core-launcher vlc
  vlc-bin vlc-data vlc-l10n vlc-plugin-base vlc-plugin-notify vlc-plugin-qt
  vlc-plugin-samba vlc-plugin-skins2 vlc-plugin-video-output
  vlc-plugin-video-splitter vlc-plugin-visualization
22 mis à jour, 1 nouvellement installés, 0 à enlever et 0 non mis à jour.
1 partiellement installés ou enlevés.
Il est nécessaire de prendre 22.4 Mo/24.9 Mo dans les archives.
Après cette opération, 52.8 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] o
Réception de:1 http://ch.archive.ubuntu.com/ubuntu xenial-updates/main amd64 ubuntu-core-launcher amd64 2.27.5 [1'562 B]
Réception de:2 http://ch.archive.ubuntu.com/ubuntu xenial-updates/main amd64 snapd amd64 2.27.5 [10.7 MB]
Réception de:3 http://ppa.launchpad.net/videolan/master-daily/ubuntu xenial/main amd64 libvlc5 amd64 3.0.0~~git20170903+r71506+78~ubuntu16.04.1 [183 kB]
Réception de:4 http://ppa.launchpad.net/videolan/master-daily/ubuntu xenial/main amd64 vlc-plugin-skins2 amd64 3.0.0~~git20170903+r71506+78~ubuntu16.04.1 [454 kB]
Réception de:5 http://ppa.launchpad.net/videolan/master-daily/ubuntu xenial/main amd64 vlc-plugin-qt amd64 3.0.0~~git20170903+r71506+78~ubuntu16.04.1 [1'077 kB]
Réception de:6 http://ppa.launchpad.net/videolan/master-daily/ubuntu xenial/main amd64 vlc amd64 3.0.0~~git20170903+r71506+78~ubuntu16.04.1 [140 kB]
Réception de:7 http://ppa.launchpad.net/videolan/master-daily/ubuntu xenial/main amd64 vlc-plugin-base amd64 3.0.0~~git20170903+r71506+78~ubuntu16.04.1 [2'648 kB]
Réception de:8 http://ch.archive.ubuntu.com/ubuntu xenial-updates/main amd64 libpackagekit-glib2-16 amd64 0.8.17-4ubuntu6~gcc5.4ubuntu1.2 [101 kB]
Réception de:9 http://ch.archive.ubuntu.com/ubuntu xenial-updates/main amd64 gir1.2-packagekitglib-1.0 amd64 0.8.17-4ubuntu6~gcc5.4ubuntu1.2 [26.7 kB]
Réception de:10 http://ch.archive.ubuntu.com/ubuntu xenial-updates/main amd64 liblouis-data all 2.6.4-2ubuntu0.1 [1'077 kB]
Réception de:11 http://ch.archive.ubuntu.com/ubuntu xenial-updates/main amd64 liblouis9 amd64 2.6.4-2ubuntu0.1 [59.5 kB]
Réception de:12 http://ch.archive.ubuntu.com/ubuntu xenial-updates/main amd64 python3-louis all 2.6.4-2ubuntu0.1 [7'384 B]
Réception de:13 http://ppa.launchpad.net/videolan/master-daily/ubuntu xenial/main amd64 vlc-data all 3.0.0~~git20170903+r71506+78~ubuntu16.04.1 [402 kB]
Réception de:14 http://ppa.launchpad.net/videolan/master-daily/ubuntu xenial/main amd64 vlc-plugin-notify amd64 3.0.0~~git20170903+r71506+78~ubuntu16.04.1 [6'086 B]
Réception de:15 http://ppa.launchpad.net/videolan/master-daily/ubuntu xenial/main amd64 vlc-plugin-visualization amd64 3.0.0~~git20170903+r71506+78~ubuntu16.04.1 [26.6 kB]
Réception de:16 http://ppa.launchpad.net/videolan/master-daily/ubuntu xenial/main amd64 vlc-plugin-video-splitter amd64 3.0.0~~git20170903+r71506+78~ubuntu16.04.1 [19.4 kB]
Réception de:17 http://ppa.launchpad.net/videolan/master-daily/ubuntu xenial/main amd64 vlc-plugin-video-output amd64 3.0.0~~git20170903+r71506+78~ubuntu16.04.1 [73.0 kB]
Réception de:18 http://ppa.launchpad.net/videolan/master-daily/ubuntu xenial/main amd64 vlc-plugin-samba amd64 3.0.0~~git20170903+r71506+78~ubuntu16.04.1 [6'716 B]
Réception de:19 http://ppa.launchpad.net/videolan/master-daily/ubuntu xenial/main amd64 libvlccore8 amd64 3.0.0~~git20170903+r71506+78~ubuntu16.04.1 [540 kB]
Réception de:20 http://ppa.launchpad.net/videolan/master-daily/ubuntu xenial/main amd64 vlc-l10n all 3.0.0~~git20170903+r71506+78~ubuntu16.04.1 [4'628 kB]
Réception de:21 http://ppa.launchpad.net/videolan/master-daily/ubuntu xenial/main amd64 vlc-bin amd64 3.0.0~~git20170903+r71506+78~ubuntu16.04.1 [134 kB]
Réception de:22 http://ppa.launchpad.net/videolan/master-daily/ubuntu xenial/main amd64 libvlc-bin amd64 3.0.0~~git20170903+r71506+78~ubuntu16.04.1 [127 kB]
22.4 Mo réceptionnés en 20s (1'090 ko/s)                                       
Préconfiguration des paquets...
(Lecture de la base de données... 273682 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../mysql-server-5.7_5.7.19-0ubuntu0.16.04.1_amd64.deb ...
Aborting downgrade from (at least) 10.0 to 5.7.
If are sure you want to downgrade to 5.7, remove the file
/var/lib/mysql/debian-*.flag and try installing again.
dpkg: erreur de traitement de l'archive /var/cache/apt/archives/mysql-server-5.7_5.7.19-0ubuntu0.16.04.1_amd64.deb (--unpack) :
 le sous-processus nouveau script pre-installation a retourné une erreur de sortie d'état 1
Préparation du dépaquetage de .../ubuntu-core-launcher_2.27.5_amd64.deb ...
Dépaquetage de ubuntu-core-launcher (2.27.5) sur (2.26.10) ...
Préparation du dépaquetage de .../snapd_2.27.5_amd64.deb ...
Warning: Stopping snapd.service, but it can still be activated by:
  snapd.socket
Dépaquetage de snapd (2.27.5) sur (2.26.10) ...
Préparation du dépaquetage de .../libpackagekit-glib2-16_0.8.17-4ubuntu6~gcc5.4ubuntu1.2_amd64.deb ...
Dépaquetage de libpackagekit-glib2-16:amd64 (0.8.17-4ubuntu6~gcc5.4ubuntu1.2) sur (0.8.17-4ubuntu6~gcc5.4ubuntu1.1) ...
Préparation du dépaquetage de .../gir1.2-packagekitglib-1.0_0.8.17-4ubuntu6~gcc5.4ubuntu1.2_amd64.deb ...
Dépaquetage de gir1.2-packagekitglib-1.0 (0.8.17-4ubuntu6~gcc5.4ubuntu1.2) sur (0.8.17-4ubuntu6~gcc5.4ubuntu1.1) ...
Préparation du dépaquetage de .../libvlc5_3.0.0~~git20170903+r71506+78~ubuntu16.04.1_amd64.deb ...
Dépaquetage de libvlc5:amd64 (3.0.0~~git20170903+r71506+78~ubuntu16.04.1) sur (3.0.0~~git20170902+r71490+78~ubuntu16.04.1) ...
Préparation du dépaquetage de .../vlc-plugin-skins2_3.0.0~~git20170903+r71506+78~ubuntu16.04.1_amd64.deb ...
Dépaquetage de vlc-plugin-skins2:amd64 (3.0.0~~git20170903+r71506+78~ubuntu16.04.1) sur (3.0.0~~git20170902+r71490+78~ubuntu16.04.1) ...
Préparation du dépaquetage de .../vlc-plugin-qt_3.0.0~~git20170903+r71506+78~ubuntu16.04.1_amd64.deb ...
Dépaquetage de vlc-plugin-qt:amd64 (3.0.0~~git20170903+r71506+78~ubuntu16.04.1) sur (3.0.0~~git20170902+r71490+78~ubuntu16.04.1) ...
Préparation du dépaquetage de .../vlc_3.0.0~~git20170903+r71506+78~ubuntu16.04.1_amd64.deb ...
Dépaquetage de vlc (3.0.0~~git20170903+r71506+78~ubuntu16.04.1) sur (3.0.0~~git20170902+r71490+78~ubuntu16.04.1) ...
Préparation du dépaquetage de .../vlc-plugin-base_3.0.0~~git20170903+r71506+78~ubuntu16.04.1_amd64.deb ...
Dépaquetage de vlc-plugin-base:amd64 (3.0.0~~git20170903+r71506+78~ubuntu16.04.1) sur (3.0.0~~git20170902+r71490+78~ubuntu16.04.1) ...
Préparation du dépaquetage de .../vlc-data_3.0.0~~git20170903+r71506+78~ubuntu16.04.1_all.deb ...
Dépaquetage de vlc-data (3.0.0~~git20170903+r71506+78~ubuntu16.04.1) sur (3.0.0~~git20170902+r71490+78~ubuntu16.04.1) ...
Préparation du dépaquetage de .../vlc-plugin-notify_3.0.0~~git20170903+r71506+78~ubuntu16.04.1_amd64.deb ...
Dépaquetage de vlc-plugin-notify:amd64 (3.0.0~~git20170903+r71506+78~ubuntu16.04.1) sur (3.0.0~~git20170902+r71490+78~ubuntu16.04.1) ...
Préparation du dépaquetage de .../vlc-plugin-visualization_3.0.0~~git20170903+r71506+78~ubuntu16.04.1_amd64.deb ...
Dépaquetage de vlc-plugin-visualization:amd64 (3.0.0~~git20170903+r71506+78~ubuntu16.04.1) sur (3.0.0~~git20170902+r71490+78~ubuntu16.04.1) ...
Préparation du dépaquetage de .../vlc-plugin-video-splitter_3.0.0~~git20170903+r71506+78~ubuntu16.04.1_amd64.deb ...
Dépaquetage de vlc-plugin-video-splitter:amd64 (3.0.0~~git20170903+r71506+78~ubuntu16.04.1) sur (3.0.0~~git20170902+r71490+78~ubuntu16.04.1) ...
Préparation du dépaquetage de .../vlc-plugin-video-output_3.0.0~~git20170903+r71506+78~ubuntu16.04.1_amd64.deb ...
Dépaquetage de vlc-plugin-video-output:amd64 (3.0.0~~git20170903+r71506+78~ubuntu16.04.1) sur (3.0.0~~git20170902+r71490+78~ubuntu16.04.1) ...
Préparation du dépaquetage de .../vlc-plugin-samba_3.0.0~~git20170903+r71506+78~ubuntu16.04.1_amd64.deb ...
Dépaquetage de vlc-plugin-samba:amd64 (3.0.0~~git20170903+r71506+78~ubuntu16.04.1) sur (3.0.0~~git20170902+r71490+78~ubuntu16.04.1) ...
Préparation du dépaquetage de .../libvlccore8_3.0.0~~git20170903+r71506+78~ubuntu16.04.1_amd64.deb ...
Dépaquetage de libvlccore8:amd64 (3.0.0~~git20170903+r71506+78~ubuntu16.04.1) sur (3.0.0~~git20170902+r71490+78~ubuntu16.04.1) ...
Préparation du dépaquetage de .../vlc-l10n_3.0.0~~git20170903+r71506+78~ubuntu16.04.1_all.deb ...
Dépaquetage de vlc-l10n (3.0.0~~git20170903+r71506+78~ubuntu16.04.1) sur (3.0.0~~git20170902+r71490+78~ubuntu16.04.1) ...
Préparation du dépaquetage de .../vlc-bin_3.0.0~~git20170903+r71506+78~ubuntu16.04.1_amd64.deb ...
Dépaquetage de vlc-bin (3.0.0~~git20170903+r71506+78~ubuntu16.04.1) sur (3.0.0~~git20170902+r71490+78~ubuntu16.04.1) ...
Préparation du dépaquetage de .../libvlc-bin_3.0.0~~git20170903+r71506+78~ubuntu16.04.1_amd64.deb ...
Dépaquetage de libvlc-bin:amd64 (3.0.0~~git20170903+r71506+78~ubuntu16.04.1) sur (3.0.0~~git20170902+r71490+78~ubuntu16.04.1) ...
Préparation du dépaquetage de .../liblouis-data_2.6.4-2ubuntu0.1_all.deb ...
Dépaquetage de liblouis-data (2.6.4-2ubuntu0.1) sur (2.6.4-2) ...
Préparation du dépaquetage de .../liblouis9_2.6.4-2ubuntu0.1_amd64.deb ...
Dépaquetage de liblouis9:amd64 (2.6.4-2ubuntu0.1) sur (2.6.4-2) ...
Préparation du dépaquetage de .../python3-louis_2.6.4-2ubuntu0.1_all.deb ...
Dépaquetage de python3-louis (2.6.4-2ubuntu0.1) sur (2.6.4-2) ...
Traitement des actions différées (« triggers ») pour man-db (2.7.5-1) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.23-0ubuntu9) ...
Traitement des actions différées (« triggers ») pour mime-support (3.59ubuntu1) ...
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.22-1ubuntu5.1) ...
Traitement des actions différées (« triggers ») pour gnome-menus (3.13.3-6ubuntu3.1) ...
Traitement des actions différées (« triggers ») pour bamfdaemon (0.5.3~bzr0+16.04.20160824-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Traitement des actions différées (« triggers ») pour hicolor-icon-theme (0.15-0ubuntu1) ...
Des erreurs ont été rencontrées pendant l'exécution :
 /var/cache/apt/archives/mysql-server-5.7_5.7.19-0ubuntu0.16.04.1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
sieber@sieber-N24-25BU:~$

Depuis le logo rond rouge avec la barre blanche reste allumé, même après avoir redémarré la machine.
Pour info, je tourne sur Ubuntu 16.04.

Un grand merci d'avance à ceux qui pourront m'aider!

Meilleures salutations

Dernière modification par QLSVB (05 Sep 2017 09:49:58)

Hors ligne

 

#2 05 Sep 2017 08:42:37

QLSVB
Humain(e) libre
 
Date d'inscription: 28 Aug 2017
Messages: 35

Re: Bug avec mysql suite installation mariadb [RESOLU]

Ah, j'avais également gardé ça sur un document word, lors de l'installation de mariadb. Au cas où cela pourrait aider:

Code:

sieber@sieber-N24-25BU:~$ sudo mysql_secure_installation

NOTE: RUNNING ALL PARTS OF THIS SCRIPT IS RECOMMENDED FOR ALL MariaDB
      SERVERS IN PRODUCTION USE!  PLEASE READ EACH STEP CAREFULLY!

In order to log into MariaDB to secure it, we'll need the current
password for the root user.  If you've just installed MariaDB, and
you haven't set the root password yet, the password will be blank,
so you should just press enter here.

Enter current password for root (enter for none): 
OK, successfully used password, moving on...

Setting the root password ensures that nobody can log into the MariaDB
root user without the proper authorisation.

You already have a root password set, so you can safely answer 'n'.

Change the root password? [Y/n] y
New password: 
Re-enter new password: 
Password updated successfully!
Reloading privilege tables..
 ... Success!


By default, a MariaDB installation has an anonymous user, allowing anyone
to log into MariaDB without having to have a user account created for
them.  This is intended only for testing, and to make the installation
go a bit smoother.  You should remove them before moving into a
production environment.

Remove anonymous users? [Y/n] y
 ... Success!

Normally, root should only be allowed to connect from 'localhost'.  This
ensures that someone cannot guess at the root password from the network.

Disallow root login remotely? [Y/n] y
 ... Success!

By default, MariaDB comes with a database named 'test' that anyone can
access.  This is also intended only for testing, and should be removed
before moving into a production environment.

Remove test database and access to it? [Y/n] y
 - Dropping test database...
 ... Success!
 - Removing privileges on test database...
 ... Success!

Reloading the privilege tables will ensure that all changes made so far
will take effect immediately.

Reload privilege tables now? [Y/n] y
 ... Success!

Cleaning up...

All done!  If you've completed all of the above steps, your MariaDB
installation should now be secure.

Thanks for using MariaDB!

Hors ligne

 

#3 05 Sep 2017 09:40:56

jean@adimp.ch
Illuminé(e)
Lieu: Marly
Date d'inscription: 10 Mar 2005
Messages: 1162
Site web

Re: Bug avec mysql suite installation mariadb [RESOLU]

Bonjour,
Pour enlever mysql-server vous pouvez faire un

Code:

sudo apt-get purge mysql-server

Meilleures salutations.


--------------------------------------------------------
Jean Tinguely Awais
Ma vie sur twitter : http://www.twitter.com/tservi
Recherche un vrai job. Toute nouvelle proposition d'emploi bienvenue et analysée: 076 227 01 32 ou jeantinguelyawais@gmail.com.

Hors ligne

 

#4 05 Sep 2017 09:49:00

QLSVB
Humain(e) libre
 
Date d'inscription: 28 Aug 2017
Messages: 35

Re: Bug avec mysql suite installation mariadb [RESOLU]

Ah c'était donc ça, il fallait juste le désinstaller manuellement... Je n'y avait pas penser car lors de l'installation de mariadb, une ligne "annonçait" que la désinstallation de mysql était en cours...

Quoi qu'il en soit, le rond rouge à disparu et les commandes install et upgrade fonctionnent de nouveau.

Merci beaucoup et meilleures salutations

Hors ligne

 
  • Index
  •  » Ubuntu
  •  » Bug avec mysql suite installation mariadb [RESOLU]

Pied de page des forums

Powered by FluxBB